#
# spec file for package pcsc-tools
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pcsc-tools
Version:        1.5.4
Release:        lp151.1.1
Summary:        Smart card tools
License:        GPL-2.0-or-later AND GPL-3.0-or-later
Group:          System/Management
Url:            http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
Source0:        http://ludovic.rousseau.free.fr/softwares/%{name}/%{name}-%{version}.tar.bz2
Source1:        http://ludovic.rousseau.free.fr/softwares/%{name}/%{name}-%{version}.tar.bz2.asc
Source2:        pcsc-tools.keyring
Source3:        https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source4:        https://www.gnu.org/licenses/gpl-3.0.txt
BuildRequires:  pcsc-lite-devel
BuildRequires:  pkgconfig
Requires:       perl-pcsc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These tools are used to test a PC/SC driver, card or reader
or send commands in a friendly environment
(text or graphical user interface).

%prep
%setup -q
cp -v %{SOURCE3} %{SOURCE4} .

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc README Changelog gpl*
%{_bindir}/ATR_analysis
%{_bindir}/gscriptor
%{_bindir}/pcsc_scan
%{_bindir}/scriptor
%{_datadir}/pcsc/
%{_mandir}/man1/*

%changelog
* Sat Feb  2 2019 Jan Engelhardt <jengelh@inai.de>
- Update summary.
* Tue Jan 29 2019 sbrabec@suse.com
- Update to version 1.5.4:
  * Port to gtk+-3.
  * gscriptor: save and restore the window size, remove
    unimplemented Logo.
  * many new ATRs
  * warning fixes
* Sat Apr 21 2018 wr@rosenauer.org
- update to 1.5.3
  * 253 new ATRs
  * pcsc_scan
  - add -v argument (default) for verbose
  - add -q argument for quiet
  - add -r argument to display the reader list
  - allow to use Control-C to break execution
* Tue Jun 20 2017 astieger@suse.com
- update to 1.5.2:
  * build system updates, now using autoconf/automake
  * many new new ATRs
  * pcsc_scan: various improvements to stress mode
  * documentation updates
  * Handle "simultaneous" readers removal
* Sun Mar 20 2016 wr@rosenauer.org
- Update to version 1.4.26
  * 77 new ATRs
  * ATR_analysis: fix display the submission message
  * fix typos in pcsc_scan.1 and scriptor.1p man pages
* Sun Nov  8 2015 wr@rosenauer.org
- Update to version 1.4.25
  * 44 new ATRs
  * ATR_analysis: fix the update of the local cache
* Sat Aug  8 2015 wr@rosenauer.org
- Update to version 1.4.24
  * 253 new ATRs
  * ATR_analysis: better update of the local cache
* Sat Sep 20 2014 wr@rosenauer.org
- Update to version 1.4.23
  * many new ATRs
- fixed perl-pcsc package name (bnc#897046)
* Fri Jan 17 2014 wr@rosenauer.org
- Update to version 1.4.22:
  * 215 new ATRs
  * Fetch a new ATR file if it was not upgraded in the last 10
    hours.
  * Propose to use http://smartcard-atr.appspot.com/parse to submit a
    new ATR
  * minor fixes
* Mon Oct 14 2013 sbrabec@suse.cz
- Update to version 1.4.21:
  * Minor bug fixes.
  * Many ATRs updates.
- Verify GPG signature.
* Tue Mar 26 2013 hpj@urpla.net
- add missing required package perl-pcsc-perl
* Mon Dec 19 2011 wr@rosenauer.org
- update to 1.4.18
  * gscriptor: Display hex dumps in lines of 16 bytes instead of 17
  * gscriptor: Display bytes of value 0x20 as ' ' instead of '.'
  * scriptor: Display lines of 16 bytes instead of 24
  * 223 new ATRs
  * pcsc_scan: Correctly detect reader Plug and Play support
* Mon May  2 2011 wr@rosenauer.org
- initial openSUSE package
